Skip to content
Install app
English
  • English
  • FrançaisSoon
  • DeutschSoon
  • EspañolSoon
  • ItalianoSoon
  • Português (Brasil)Soon
  • Português (Portugal)Soon
  • 日本語Soon
  • 한국어Soon
  • 简体中文Soon
  • 繁體中文Soon
  • NederlandsSoon
  • DanskSoon
  • SuomiSoon
  • Norsk (bokmål)Soon
  • PolskiSoon
  • ČeštinaSoon
  • TürkçeSoon

[PUT] Transfer submission to other submission

* Authentication

Required Authorization

Limit throttle:30,1

Request

Endpoint PUT - /shop-api/back-in-stock/update

Payload body

By default, the submission status will remain unchanged.
If pending = true, the submission status will revert to the state before the restock email was sent.

ParamsTypeRequired
submission_idintegeryes
new_product_idnumberyes
new_variant_idnumberyes
notestringno
pendingboolean true falseno
PUT /shop-api/back-in-stock/update HTTP/1.1
Host: globo.preorder.io
Content-Type: application/json
Authorization: ************
Content-Length: 123
{
"submission_id": 1,
"new_product_id": 9697898955032,
"new_variant_id": 49921014628632,
"note" : "ok"
}
const myHeaders = new Headers();
myHeaders.append("Content-Type", "application/json");
myHeaders.append("Authorization", "************");
const raw = JSON.stringify({
"submission_id": 1,
"new_product_id": 9697898955032,
"new_variant_id": 49921014628632,
"note": "ok"
});
const requestOptions = {
method: "PUT",
headers: myHeaders,
body: raw,
redirect: "follow"
};
fetch("https://preorder.globo.io/shop-api/back-in-stock/update", requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.error(error));
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://preorder.globo.io/shop-api/back-in-stock/update',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'PUT',
CURLOPT_POSTFIELDS =>'{
"submission_id": 1,
"new_product_id": 9697898955032,
"new_variant_id": 49921014628632,
"note" : "ok"
}',
CURLOPT_HTTPHEADER => array(
'Content-Type: application/json',
'Authorization: ••••••'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Success response 200

{
"success": true,
"message": "Submission updated successfully",
"data": {
"id": 12345,
"product_id": 7891234567890, // changed to new product_id
"variant_id": 43900910010999, // changed to new variant_id
"customer_email": "[email protected]", // Not change
"customer_phone": "+84123456789", // Not change
"product_title": "Product Name", // Sync new product Shopify
"variant_title": "Size L / Red", // Sync new product Shopify
"sku": "SKU-002", // Sync new product Shopify
"inventory_id": "45678901234", // Sync new product Shopify inventory_item_id
"status": 0, // Leave as is if not submitted pending
"last_sent": null, // Leave as is if not submitted pending
"opened": 0, // Leave as is if not submitted pending
"clicked": 0, // Leave as is if not submitted pending
"note": "test", // Update if necessary.
"created_at": "2026-07-06T10:00:00.000000Z",
"updated_at": "2026-07-06T15:00:00.000000Z"
}
}

Failed

{ "success": false, "message": "Back in stock product not found" }
{ "success": false, "message": "Variant not found" }
{ "success": false, "message": "The submission id field is required." }
{ "success": false, "message": "Something went wrong" }

Was this helpful?

Report an issue